Skip to main content
POST
/
v1
/
keys
/
bootstrap
Bootstrap first API key
curl --request POST \
  --url https://staging-api.polysimulator.com/v1/keys/bootstrap \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "tier": "free",
  "permissions": [
    "<string>"
  ]
}
'
{
  "id": 123,
  "raw_key": "<string>",
  "key_prefix": "<string>",
  "rate_limit_tier": "<string>",
  "permissions": [
    "<string>"
  ],
  "created_at": "<string>",
  "name": "<string>"
}

Authorizations

Authorization
string
header
required

Supabase access_token from polysimulator.com sign-in. Used only for POST /v1/keys/bootstrap.

Body

application/json
name
string | null

Human-readable label

Maximum string length: 100
tier
string
default:free

Rate limit tier: free, pro, enterprise

permissions
string[] | null

Permissions: read, trade, admin

Response

Key created. Store raw_key immediately — it is returned only once.

Returned once on creation — the raw key is NOT stored.

id
integer
required
raw_key
string
required
key_prefix
string
required
rate_limit_tier
string
required
permissions
string[]
required
created_at
string
required
name
string | null